USE stm_fsk;

CREATE TABLE IF NOT EXISTS Yderregister_v3 (
    PID BIGINT(15) AUTO_INCREMENT NOT NULL PRIMARY KEY,
    Id varchar(32) NOT NULL,
    HistIdYder VARCHAR(16),
    AmtKodeYder VARCHAR(2),
    AmtTxtYder VARCHAR(60),
    YdernrYder VARCHAR(6),
    PrakBetegn VARCHAR(50),
    AdrYder VARCHAR(50),
    PostnrYder VARCHAR(4),
    PostdistYder VARCHAR(20),
    TilgDatoYder VARCHAR(8),
    AfgDatoYder VARCHAR(8),
    HvdSpecKode VARCHAR(2),
    HvdSpecTxt VARCHAR(60),
    HvdTlf VARCHAR(8),
    EmailYder VARCHAR(50),
    WWW VARCHAR(78),
    ValidFrom DateTime NOT NULL,
    ValidTo DateTime,
    ModifiedDate DateTime NOT NULL,
    KEY `IdxId` (`Id`),
    KEY `krsidx` (`ModifiedDate` ASC, `PID` ASC),
    KEY `validix` (`ValidTo` ASC, `ValidFrom` ASC)
) ENGINE=InnoDB COLLATE=utf8_bin;

INSERT INTO `Yderregister_v3` (`Id`,`HistIdYder`,`AmtKodeYder`,`AmtTxtYder`,`YdernrYder`,`PrakBetegn`,`AdrYder`,`PostnrYder`,`PostdistYder`,`TilgDatoYder`,`AfgDatoYder`,`HvdSpecKode`,`HvdSpecTxt`,`HvdTlf`,`EmailYder`,`WWW`,`ValidFrom`,`ValidTo`,`ModifiedDate`) VALUES ('1',null,null,null,'123456','Testyder','Ydervej 42','1234','Yderby','19700101','25000101',null,null,'12345678','test@testyder.dk','www.testyder.dk','1970-01-01','2500-01-01',now());
